# $Revision: 1.14 $, $Date: 2003/04/09 20:49:50 $
%define		mod_name	access_referer
%define 	apxs		%{_sbindir}/apxs
Summary:	Access control based on "Referer" HTTP header content
Summary(pl):	Kontrola dostpu bazujca na zawartoci standardowego nagwka HTTP "REFERER"
Name:		apache-mod_%{mod_name}
Version:	1.0.2
Release:	6
License:	Apache Group
Group:		Networking/Daemons
Source0:	http://dl.sourceforge.net/accessreferer/mod_%{mod_name}-%{version}.tar.gz
Patch0:		http://dl.sourceforge.net/sourceforge/accessreferer/mod_access_referer_1.0.2_third_part_patch.txt
URL:		http://sourceforge.net/projects/accessreferer/
BuildRequires:	%{apxs}
BuildRequires:	apache(EAPI)-devel
Requires(post,preun):	%{apxs}
Requires:	apache(EAPI)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR)

%description
This is an module for the Apache HTTP Server that provides access
control based on "Referer" HTTP header content.

%description -l pl
Modu ten pozwala na kontrolowanie dostpu do plikw na serwerze w
zalenoci od zawartoci standardowego nagwka HTTP - "REFERER"

%prep
%setup -q -n mod_%{mod_name}-%{version}
%patch0 -p0

%build
PATH=$PATH:%{_sbindir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pkglibdir}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{apxs} -e -a -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
if [ -f /var/lock/subsys/httpd ]; then
	/etc/rc.d/init.d/httpd restart 1>&2
fi

%preun
if [ "$1" = "0" ]; then
%{apxs} -e -A -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
	if [ -f /var/lock/subsys/httpd ]; then
		/etc/rc.d/init.d/httpd restart 1>&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc README ChangeLog
%attr(755,root,root) %{_pkglibdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: apache-mod_access_referer.spec,v $
Revision 1.14  2003/04/09 20:49:50  kloczek
- release 6: security fix
- apply patch from: http://dl.sourceforge.net/sourceforge/accessreferer/mod_access_referer_1.0.2_third_part_patch.txt
  Comment from this file:

  mod_access_referer contains a null-pinter dereferences vulnerability that
  may possibly be used in denial of service attacks. While the impact of
  this vulnerability is considered low-risk, we advise you to apply the
  following patch

  Thans to Niels Heinen <zillion@safemode.org> for inform about this fix.

Revision 1.13  2003/02/25 11:18:19  qboosh
- working Source URL

Revision 1.12  2002/08/18 11:48:59  kloczek
- release 5.

Revision 1.11  2002/08/18 11:44:21  blues
license fix

Revision 1.10  2002/08/13 15:06:21  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.9  2002/08/12 12:34:42  grzegorz
- typo in %preun
- correct License field
- don't gzip doc's
- rel 4 STBR

Revision 1.8  2002/05/07 22:02:04  marcus
- fixed apxs path

Revision 1.7  2002/04/25 15:44:55  arturs
fixed a small typo

Revision 1.6  2002/04/23 08:39:44  arturs
License field change

Revision 1.5  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/17 21:02:52  ankry
- release 2

Revision 1.3  2002/02/17 18:52:19  ankry
- added %%{apxs} local macro to avoid adapter problems
- fix use of %%{apxs} and %%{_sbindir}/apxs
- added BR %%{apxs} and Prereq %%{_sbindir}/apxs (if necessary); removed BR apache
- adapterized

Revision 1.2  2002/01/18 02:12:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2001/12/27 08:40:55  qboosh
- renamed apache-mod_access_referer_spec to apache-mod_access_referer.spec

Revision 1.2  2001/12/26 13:34:24  grzegorz
- added %%description
- cosmetics

Revision 1.1  2001/12/26 13:25:55  grzegorz
- PLD initial spec
